# Interface PlayPlatformAwareComponentSpec

All Superinterfaces:
  `ComponentSpec, ModelElement, Named, PlatformAwareComponentSpec, VariantComponent, VariantComponentSpec`

All Known Subinterfaces:
  `PlayApplicationSpec`

@Incubating public interface PlayPlatformAwareComponentSpec extends PlatformAwareComponentSpec
Platform aware aspect of a Play Framework software component.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`void`
`platform(Object platformRequirements)`

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName`

### Methods inherited from interface PlatformAwareComponentSpec

`targetPlatform`

### Methods inherited from interface VariantComponent

`getName, getVariants`

### Methods inherited from interface VariantComponentSpec

`getBinaries`

## Method Details

### platform

void platform(Object platformRequirements)